<app-baselayout title="Invested Stock List">
  <breadcrumb [items]='breadcrumb'></breadcrumb>
  <div class="">
    <form [formGroup]="SelectAccountForm">
      <label style="font-size: 18px;
      font-weight: 500;
      display: block;
      margin-bottom: 8px;" for="">Select Account</label>
    <select class="sl custom-select custom-select-lg mb-3" #section formControlName="selectaccount"  (change)="selectAccount(section.value)"
      style="padding: 10px 38px;margin: 1px;">
      <option selected>Select Account</option>
      <option [value]="a.customer_tradestation_account_id" *ngFor="let a of accountList">{{a.tag}}</option>

    </select>
  </form>
  </div>
  <div class="row mb-5 portfoliotab" *ngIf="!linkFromPartner">
    <div class="list-group" style="flex-direction: row;">
      <a routerLink="/customer/portfolio/{{customer_Id}}" routerLinkActive="active"
        class="btn  btn-lg btn-block w-100">Portfolio</a>
      <a routerLink="/customer/investedstock/{{customer_Id}}" routerLinkActive="active"
        class="btn  btn-lg btn-block w-100">Invested StockList</a>
      <a routerLink="/customer/pendingorder/{{customer_Id}}" routerLinkActive="active"
        class="btn  btn-lg btn-block w-100">Pending Orders</a>
    </div>
  </div>
  <div class="row mb-5 portfoliotab" *ngIf="linkFromPartner">
    <div class="list-group" style="flex-direction: row;">
      <a routerLink="/partner/rm/{{paramPartnerId}}/customer/{{paramRmMasterId}}/portfolio/{{customer_Id}}" routerLinkActive="active"
        class="btn  btn-lg btn-block w-100">Portdfolio</a>
      <a routerLink="/partner/rm/{{paramPartnerId}}/customer/{{paramRmMasterId}}/investedstock/{{customer_Id}}" routerLinkActive="active"
        class="btn  btn-lg btn-block w-100">Invested StockList</a>
      <a routerLink="/partner/rm/{{paramPartnerId}}/customer/{{paramRmMasterId}}/pendingorder/{{customer_Id}}" routerLinkActive="active"
        class="btn  btn-lg btn-block w-100">Pending Orders</a>
    </div>
  </div>
  <div class="row stock-card">
    <div class="col-4 mb-3" *ngFor="let stock of stockList">
      <div class="card">
        <div class="card-body">
          <div class="row">
            <div class="col-12">
              <h6 class="card-title">{{stock.company_name}}</h6>   
            </div>
          </div>
          <div class="row mb-2">
            <div class="col">qty : {{stock.quantity}}</div>
            <div class="col-auto">{{stock.diffAmount | number : '1.2-2'}}</div>
          </div>
          <div class="row">
            <div class="col">Invested:{{stock.amount_invested | number : '1.2-2'}}</div>
            <div class="col-auto">Current:{{stock.company_current_price | number : '1.2-2'}}</div>
          </div>
        </div>
      </div>
    </div>
    
  </div>
</app-baselayout>
